import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiDraggableService } from "../../services/sti-draggable.service";
import { StiThemeService } from "../../services/theme.service";
import StiRectangleGeometryLayout from "../../computed/StiRectangleGeometryLayout";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiRichTextService } from "../../services/sti-rich-text.service";
import { StiUndoService } from "../../services/sti-undo-service";
import { StiNameService } from "../../services/sti-name.service";
import { FormEventsService } from "../../services/sti-form-events-service";
import { StiColorDialogService } from "../../services/sti-color-dialog.service";
import Color from "../../system/Color";
import { StiClipboardService } from "../../services/sti-clipboard-sevice";
import * as i0 from "@angular/core";
export declare class StiHomeRibbonComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    draggableService: StiDraggableService;
    theme: StiThemeService;
    render: StiRectangleGeometryLayout;
    formEvents: FormEventsService;
    editableContentService: StiEditableContentService;
    loc: StiLocalizationService;
    richTextService: StiRichTextService;
    undoService: StiUndoService;
    nameService: StiNameService;
    colorService: StiColorDialogService;
    clipboardService: StiClipboardService;
    copiedComponent: any;
    constructor(model: StiModelService, helper: StiHelperService, draggableService: StiDraggableService, theme: StiThemeService, render: StiRectangleGeometryLayout, formEvents: FormEventsService, editableContentService: StiEditableContentService, loc: StiLocalizationService, richTextService: StiRichTextService, undoService: StiUndoService, nameService: StiNameService, colorService: StiColorDialogService, clipboardService: StiClipboardService);
    get alignment(): any;
    haveBackgroundColor(): boolean;
    haveContentAlignment(): boolean;
    haveVerticalAlignment(): boolean;
    showColorPicker(element: any, object: any, isRichText?: boolean): void;
    changeEvent(): void;
    setStyle(value: any): void;
    setAlignment(value: any): void;
    get fontSize(): number;
    set fontSize(value: number);
    get fontFamily(): string;
    set fontFamily(value: string);
    get fontStyle(): string[];
    set fontStyle(value: string[]);
    get foreColor(): Color;
    get backColor(): Color;
    get canDelete(): boolean;
    get isRichText(): boolean;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiHomeRibbonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiHomeRibbonComponent, "sti-home-ribbon-component", never, {}, {}, never, never, false, never>;
}
